Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000919 [DCSS] Documentation minor have not tried 2010-02-24 15:46 2014-12-04 21:25
Reporter rob View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.7 ancient branch
Summary 0000919: misleading guidelines for portal vault description
Description dpeg:

What happened, as far as I understand it: early on, we asked portal vault makers to add the descriptions to features.txt. Later, somebody realised that it's much better to define the description inside the portal vault des-files, which is what should happen. Are they used?

I don't know. The ideal solutions, it seems, is this:
* portal vaults have all their descriptions inside the vault des-file
* nothing portal vault related in features.txt

If we do this, we have to check if the portal vault guide says something different.

evktalo:

It indeed does talk about features.txt in the portal vault section.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0000268closed Minitomb lost description 

-  Notes
(0002961)
evktalo (administrator)
2010-02-24 15:55

I'll fix this.

--Eino
(0003014)
evktalo (administrator)
2010-02-25 12:49

In features.txt, there's an entry for:

A sand covered staircase (Ossuary)
A labyrinth entrance
A glowing drain (Sewer)
A gateway to bazaar
A flagged portal (Bailey)

These aren't used apart from labs, which are special. By being used, I mean they don't come up when you search for them in ?/.

We shouldn't duplicate the descriptions in two places. Placing them in the .des only is easier for the designer (all in one place). Currently though, the description is defined at the same time as the portal entry is placed, so it can't be looked up.

We could pull the description from features.txt. Perhaps it would also be feasible to declare it as a features.txt -styled entry in the beginning of the des file?

--Eino
(0008607)
dpeg (administrator)
2010-09-14 13:58

Yes, we should only have them in one place. Also, descriptions should be available even if a portal vault does not come up in your game.

I am not sure which way is better: description lines in the des file is a bit easier for the designer but then again, portal vaults are not added so often that it is a major inconvenience to add some lines to another file.

Here are two random ideas:

a) Portal vault descriptions could be collected in a file des/portals/descriptions.txt, making it easy to find and add descriptions. (The main problem with the standard descriptions file is that it is so big.)

b) The level checker could throw a warning for portal vaults without descriptions.
(0021622)
mumra (developer)
2013-03-17 20:35

I believe now that for localisation purposes it's better to have the descriptions in features.txt anyway?
(0021624)
dpeg (administrator)
2013-03-17 20:44

mumra: That is a very good reason. I agree completely.
(0021631)
KiloByte (manager)
2013-03-17 23:14

About the whole documentation for portal vaults in ../docs/develop/levels/advanced.txt is obsolete. The last main remnant, usage of enter_portal_vault, is something I intend to throw away before 0.12.
(0024035)
chris (updater)
2013-09-17 17:00

Has not been thrown away yet.

Probably deleting wrong information in the docs is a better way of updating them, or at least triggering an update? Keeping things around just to keep them around doesn't help anyone.
There are other similarly outdated parts, and e.g. the section about feature names should be generated by a script instead of the current 0.5-ish manual snapshot.
(0027978)
wheals (administrator)
2014-12-04 21:25

The portal vault docs have been updated; they mention adding a new feature enum, and the comment in enum.h mentions that you should then add a description.

- Issue History
Date Modified Username Field Change
2010-02-24 15:46 rob New Issue
2010-02-24 15:46 rob Relationship added related to 0000268
2010-02-24 15:55 evktalo Note Added: 0002961
2010-02-24 15:55 evktalo Assigned To => evktalo
2010-02-24 15:55 evktalo Status new => confirmed
2010-02-25 12:49 evktalo Note Added: 0003014
2010-09-13 11:04 evktalo Assigned To evktalo =>
2010-09-13 11:04 evktalo Status confirmed => feedback
2010-09-14 13:58 dpeg Note Added: 0008607
2013-03-17 20:35 mumra Note Added: 0021622
2013-03-17 20:44 dpeg Note Added: 0021624
2013-03-17 23:14 KiloByte Note Added: 0021631
2013-09-17 17:00 chris Note Added: 0024035
2014-12-04 21:25 wheals Note Added: 0027978
2014-12-04 21:25 wheals Status feedback => resolved
2014-12-04 21:25 wheals Fixed in Branch => 0.16 development branch
2014-12-04 21:25 wheals Resolution open => done
2014-12-04 21:25 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker